@import './datepicker.scss';
@import '../../variables';

$bg-color: #fff;

.react-datepicker {
  font-size: 1rem;
  border: none;
  border-radius: 0;
  box-shadow: 0px 15px 30px rgba(0, 0, 0, 0.2);
  font-family: $font-family-inter;
  display: flex;

  @media (max-width: 767px) {
    flex-direction: column;
  }
}

.datepicker__date_only {
  .react-datepicker {
    display: flex;
    flex-direction: column;
  }
}

.react-datepicker-popper {
  z-index: 90;
}

.react-datepicker-wrapper {
  width: 100%;
}

.react-datepicker__header {
  border: none;
  padding: 0;
}

.react-datepicker__month-container {
  border-radius: 5px;
  padding: 1rem;
}

.react-datepicker__week {
  height: 40px;
}

.react-datepicker__header,
.react-datepicker__header--custom,
.react-datepicker__month-container {
  background-color: $bg-color;
  font-weight: 600;
}

.react-datepicker__day {
  font-size: 0.875rem;
  font-weight: 600;
  &:hover {
    color: map-get($theme-colors, 'primary');
  }
}

.react-datepicker__day--disabled {
  color: map-get($theme-colors, 'secondary-light');
}

.react-datepicker__day,
.react-datepicker__day-name {
  width: 34px;
  height: 34px;

  @media (min-width: 768px) {
    width: 40px;
    height: 40px;
  }
}

.react-datepicker__day-name {
  color: map-get($theme-colors, 'datepicker-light-grey');
  text-transform: capitalize;
  line-height: normal;
  height: min-content;
}

.react-datepicker__day:hover {
  color: map-get($theme-colors, 'primary');
  background-color: map-get($theme-colors, 'very-light-bg');
}

.react-datepicker__day--outside-month {
  color: gray;

  &.react-datepicker__day--disabled {
    color: #eee;
  }

  &:hover {
    color: black;
  }
}

.react-datepicker__day--today {
  position: relative;
  top: -0.6rem;
  line-height: normal;
  border: 1px solid map-get($theme-colors, 'secondary-light');
  border-radius: 5px;
}

.react-datepicker__day--selected,
.react-datepicker__day--keyboard-selected {
  background-color: map-get($theme-colors, 'primary');

  &:hover {
    border: 1px solid map-get($theme-colors, 'secondary-light');
    background-color: map-get($theme-colors, 'primary');
    color: white;
  }

  &.react-datepicker__day--disabled {
    background-color: white;
    border: none;
    color: map-get($theme-colors, 'datepicker-grey');

    &:hover {
      background-color: map-get($theme-colors, 'very-light-bg');
    }
  }
}

.datepicker__body {
  width: 100%;
  padding: 1rem;
  min-height: 320px;
  min-width: 220px;

  @media not all and (min-resolution: 0.001dpcm) {
    @supports (-webkit-appearance: none) {
      > .container > .row {
        max-width: 277px;
      }
    }
  }
}

.datepicker__body-confirm-row {
  @media (min-height: 640px) {
    padding-top: 2rem;
  }
}

.datepicker__body-confirm-button {
  right: 0;
  bottom: 0;
  padding: 1rem;
  padding-top: 0;
}

.datepicker__day--today {
  font-size: 0.6rem;
  font-weight: normal;
}

.datepicker__timepicker-header,
.datepicker__header--date {
  color: black;
  font-size: 1.125rem;
  font-weight: bold;
}

.datepicker__header--control {
  height: min-content;
  & > svg {
    width: 20px;
    height: 20px;
  }

  &:hover * {
    stroke: white;
  }
}

.datepicker__timepicker-body {
  color: map-get($theme-colors, 'datepicker-light-grey');
  font-size: 0.875rem;
}

.datepicker__timepicker-control {
  width: 40px !important;
  height: 40px !important;
  border: 1px solid map-get($theme-colors, 'datepicker-light-grey') !important;
  text-align: center;
  padding: 0.625rem 0.5rem;
  font-weight: bold;
}

.datepicker__timepicker-input-wrapper {
  svg {
    width: 18px;
    height: 18px;
  }
}

.datepicker__input {
  cursor: pointer;
  margin-bottom: 0;

  & > .form-control {
    cursor: pointer;
  }

  .caret {
    $input-padding-x: 9px;

    &::after {
      position: absolute;
      right: $input-padding-x;
      top: 50%;
      margin-top: -12px;
      border: none;
    }
  }
}

.is-invalid {
  & > .form-control {
    border: 2px solid #da2022;
  }
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type='number'] {
  -moz-appearance: textfield;
}
